Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portlet
Class JBossActionRequest

    java.lang.Object
      javax.portlet.filter.PortletRequestWrapper
          org.jboss.portlet.JBossActionRequest

All Implemented Interfaces:
  javax.portlet.ActionRequest, javax.portlet.ClientDataRequest, javax.portlet.PortletRequest

    public class JBossActionRequest

extends javax.portlet.filter.PortletRequestWrapper
implements javax.portlet.ActionRequest

Version:
  $Revision: 11737 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from interface javax.portlet.PortletRequest
`javax.portlet.PortletRequest.P3PUserInfos`

Field Summary

Fields inherited from interface javax.portlet.ActionRequest
`ACTION_NAME`

Fields inherited from interface javax.portlet.PortletRequest
`ACTION_PHASE, ACTION_SCOPE_ID, BASIC_AUTH, CCPP_PROFILE, CLIENT_CERT_AUTH, DIGEST_AUTH, EVENT_PHASE, FORM_AUTH, LIFECYCLE_PHASE, RENDER_HEADERS, RENDER_MARKUP, RENDER_PART, RENDER_PHASE, RESOURCE_PHASE, USER_INFO`

Constructor Summary
`JBossActionRequest(javax.portlet.ActionRequest portletRequest)`

Method Summary
`java.lang.String` | `getCharacterEncoding()`
`int` | `getContentLength()`
`java.lang.String` | `getContentType()`
`ControllerContext` | `getControllerContext()`
`java.lang.String` | `getMethod()`
`Parameters` | `getParameters()`
`PortalNode` | `getPortalNode()`
`java.io.InputStream` | `getPortletInputStream()`
`java.io.BufferedReader` | `getReader()`
`org.jboss.portal.identity.User` | `getUser()` Returns the current authenticated user or null if the user is not authenticated
`void` | `setCharacterEncoding(java.lang.String arg0)`

Methods inherited from class javax.portlet.filter.PortletRequestWrapper
`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequest, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletRequest
`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Constructor Detail

### JBossActionRequest

    public JBossActionRequest(javax.portlet.ActionRequest portletRequest)

Method Detail

### getControllerContext

    public ControllerContext getControllerContext()

### getPortalNode

    public PortalNode getPortalNode()

### getUser

    public org.jboss.portal.identity.User getUser()

  Returns the current authenticated user or null if the user is not authenticated

### getParameters

    public Parameters getParameters()

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.portlet.ClientDataRequest`

### getContentLength

    public int getContentLength()

  Specified by:
    `getContentLength` in interface `javax.portlet.ClientDataRequest`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.portlet.ClientDataRequest`

### getMethod

    public java.lang.String getMethod()

  Specified by:
    `getMethod` in interface `javax.portlet.ClientDataRequest`

### getPortletInputStream

    public java.io.InputStream getPortletInputStream()
                                              throws java.io.IOException

  Specified by:
    `getPortletInputStream` in interface `javax.portlet.ClientDataRequest`
  Throws:
    `java.io.IOException`

### getReader

    public java.io.BufferedReader getReader()
                                     throws java.io.UnsupportedEncodingException,
                                            java.io.IOException

  Specified by:
    `getReader` in interface `javax.portlet.ClientDataRequest`
  Throws:
    `java.io.UnsupportedEncodingException`
    `java.io.IOException`

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String arg0)
                              throws java.io.UnsupportedEncodingException

  Specified by:
    `setCharacterEncoding` in interface `javax.portlet.ClientDataRequest`
  Throws:
    `java.io.UnsupportedEncodingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD